#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

puser="$(cut -d: -f1,3 "$destdir/etc/passwd" |grep :500|cut -d: -f1)"
puhome="$(cut -d: -f3,6 "$destdir/etc/passwd" |grep 500:|cut -d: -f2)"
clamdata="$destdir/var/lib/clamav-db"

[ ! -x "$destdir/etc/rc.d/init.d/clamd" ] || {
    chroot $destdir chkconfig clamd off
    [ ! -d "$clamdata" ] || {
	tar c -C "$clamdata" .| tar x -C "$destdir/var/lib/clamav"
	chroot $destdir find /var/lib/clamav -type f -name '*.cvd' -exec chown mail.mail {} \;
	[ ! -x "$destdir/usr/bin/klamav" -o -z "$puser" ] || {
	    mkdir -p "$destdir/$puhome/.klamav/database"
	    tar c -C "$clamdata" .| tar x -C "$destdir/$puhome/.klamav/database"
	    chroot $destdir chown -R "$puser.$puser" "$puhome/.klamav"
	}
	exec_chroot rpmi -e -- clamav-db ||:
    }
    sed -i 's,/usr/bin/freshclam,[ -f /var/run/clamav/clamd.pid ] \&\& /usr/bin/freshclam,' $destdir/etc/cron.d/freshclam &> /dev/null||:
}
